[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFile.ReadSection

Read the key names in a section

## Declaration

Source position: inifiles.pp line 240

`public procedure TIniFile.ReadSection(`
`const Section: string;`
`Strings: TStrings`
`); override;`

## Arguments

`Section` |  | Section to read names from
`Strings` |  | Stringlist to store names in

## Description

ReadSection reads the key names from Section into Strings, taking the in-memory copy of the ini file. This is the implementation for the abstract TCustomIniFile.ReadSection

## See also

TCustomIniFile.ReadSection |  | Read the key names in a section
TIniFile.ReadSectionRaw |  | Read raw section